Living in California, I periodically need to log into my computer that's back in my home in New York. Not that often, typically just a couple times a year. But today, when attempting to connect, I got an error message saying, "The remote TeamViewer is running an old version which is out of date. Therefore, you cannot connect ot this Version anymore." Soooo, firstly, why is TeamViewer not backwards compatible?! Secondly, I haven't updated TeamViewer on my local computer either anytime recently, so both local and remote computers should be running versions of TeamViewer that were released roughly at the …

Member Avatar
Member Avatar
+0 forum 4

The End.